document.getElementById("NewWindowMask").addEventListener("click", async function () {
  await exeModal(async function () {
    await batchPlay(
[
  {
     _obj: "set",
     _target: [
        {
           _ref: "channel",
           _property: "selection"
        }
     ],
     to: {
        _enum: "ordinal",
        _value: "allEnum"
     },
     _options: {
        dialogOptions: "dontDisplay"
     }
  },
  {
     _obj: "copyEvent",
     copyHint: "pixels",
     _options: {
        dialogOptions: "dontDisplay"
     }
  },
  {
     _obj: "select",
     _target: [
        {
           _ref: "document",
           _offset: -1
        }
     ],
     documentID: 2001,
     _options: {
        dialogOptions: "dontDisplay"
     }
  },
  {
     _obj: "paste",
     inPlace: true,
     antiAlias: {
        _enum: "antiAliasType",
        _value: "antiAliasNone"
     },
     as: {
        _class: "pixel"
     },
     _options: {
        dialogOptions: "dontDisplay"
     }
  },
  {
     _obj: "set",
     _target: [
        {
           _ref: "layer",
           _enum: "ordinal",
           _value: "targetEnum"
        }
     ],
     to: {
        _obj: "layer",
        name: "Flash"
     },
     _options: {
        dialogOptions: "dontDisplay"
     }
  },
  {
     _obj: "select",
     _target: [
        {
           _ref: "layer",
           _name: "Background"
        }
     ],
     makeVisible: false,
     layerID: [
        1
     ],
     _options: {
        dialogOptions: "dontDisplay"
     }
  },
  {
     _obj: "set",
     _target: [
        {
           _ref: "layer",
           _property: "background"
        }
     ],
     to: {
        _obj: "layer",
        name: "Ambient",
        opacity: {
           _unit: "percentUnit",
           _value: 100
        },
        mode: {
           _enum: "blendMode",
           _value: "luminosity"
        }
     },
     layerID: 64,
     _options: {
        dialogOptions: "dontDisplay"
     }
  },
  {
     _obj: "select",
     _target: [
        {
           _ref: "layer",
           _name: "Flash"
        }
     ],
     makeVisible: false,
     layerID: [
        63
     ],
     _options: {
        dialogOptions: "dontDisplay"
     }
  },
  {
     _obj: "set",
     _target: [
        {
           _ref: "layer",
           _enum: "ordinal",
           _value: "targetEnum"
        }
     ],
     to: {
        _obj: "layer",
        mode: {
           _enum: "blendMode",
           _value: "blendSubtraction"
        }
     },
     _options: {
        dialogOptions: "dontDisplay"
     }
  },
  {
     _obj: "colorRange",
     fuzziness: 100,
     minimum: {
        _obj: "labColor",
        luminance: 0,
        a: 0,
        b: 0
     },
     maximum: {
        _obj: "labColor",
        luminance: 0,
        a: 0,
        b: 0
     },
     colorModel: 0,
     _options: {
        dialogOptions: "dontDisplay"
     }
  },
  {
     _obj: "set",
     _target: [
        {
           _ref: "layer",
           _enum: "ordinal",
           _value: "targetEnum"
        }
     ],
     to: {
        _obj: "layer",
        mode: {
           _enum: "blendMode",
           _value: "darken"
        }
     },
     _options: {
        dialogOptions: "dontDisplay"
     }
  },
  {
     _obj: "mergeVisible",
     duplicate: true,
     _options: {
        dialogOptions: "dontDisplay"
     }
  },
  {
     _obj: "make",
     new: {
        _class: "channel"
     },
     at: {
        _ref: "channel",
        _enum: "channel",
        _value: "mask"
     },
     using: {
        _enum: "userMaskEnabled",
        _value: "revealSelection"
     },
     _options: {
        dialogOptions: "dontDisplay"
     }
  },
  {
    _obj: "select",
    _target: [
       {
          _ref: "layer",
          _name: "Flash"
       }
    ],
    makeVisible: false,
    layerID: [
       66
    ],
    _options: {
       dialogOptions: "dontDisplay"
    }
 },
 {
    _obj: "set",
    _target: [
       {
          _ref: "layer",
          _enum: "ordinal",
          _value: "targetEnum"
       }
    ],
    to: {
       _obj: "layer",
       mode: {
          _enum: "blendMode",
          _value: "normal"
       }
    },
    _options: {
       dialogOptions: "dontDisplay"
    }
 },
 {
    _obj: "move",
    _target: [
       {
          _ref: "layer",
          _enum: "ordinal",
          _value: "targetEnum"
       }
    ],
    to: {
       _ref: "layer",
       _index: 0
    },
    adjustment: false,
    version: 5,
    layerID: [
       66
    ],
    _options: {
       dialogOptions: "dontDisplay"
    }
 },
 {
    _obj: "select",
    _target: [
       {
          _ref: "channel",
          _enum: "channel",
          _value: "mask"
       },
       {
          _ref: "layer",
          _name: "Layer 1"
       }
    ],
    makeVisible: false,
    _options: {
       dialogOptions: "dontDisplay"
    }
 },
 {
    _obj: "invert",
    _options: {
       dialogOptions: "dontDisplay"
    }
 },
 {
      _obj: "select",
      _target: [
         {
            _ref: "channel",
            _enum: "channel",
            _value: "RGB"
         }
      ],
      makeVisible: false,
      _options: {
         dialogOptions: "dontDisplay"
      }
   },
   {
      _obj: "set",
      _target: [
         {
            _ref: "layer",
            _enum: "ordinal",
            _value: "targetEnum"
         }
      ],
      to: {
         _obj: "layer",
         name: "Highlight / Window Mask"
      },
      _options: {
         dialogOptions: "dontDisplay"
      }
   },
   {
      _obj: "select",
      _target: [
         {
            _ref: "layer",
            _name: "Ambient"
         }
      ],
      makeVisible: false,
      layerID: [
         7
      ],
      _options: {
         dialogOptions: "dontDisplay"
      }
   },
   {
      _obj: "set",
      _target: [
         {
            _ref: "layer",
            _enum: "ordinal",
            _value: "targetEnum"
         }
      ],
      to: {
         _obj: "layer",
         name: "Ambient Luminosity"
      },
      _options: {
         dialogOptions: "dontDisplay"
      }
   },
   {
      _obj: "copyToLayer",
      _options: {
         dialogOptions: "dontDisplay"
      }
   },
   {
      _obj: "set",
      _target: [
         {
            _ref: "layer",
            _enum: "ordinal",
            _value: "targetEnum"
         }
      ],
      to: {
         _obj: "layer",
         name: "Ambient Color"
      },
      _options: {
         dialogOptions: "dontDisplay"
      }
   },
   {
      _obj: "set",
      _target: [
         {
            _ref: "layer",
            _enum: "ordinal",
            _value: "targetEnum"
         }
      ],
      to: {
         _obj: "layer",
         mode: {
            _enum: "blendMode",
            _value: "color"
         }
      },
      _options: {
         dialogOptions: "dontDisplay"
      }
   },
   {
      _obj: "set",
      _target: [
         {
            _ref: "layer",
            _enum: "ordinal",
            _value: "targetEnum"
         }
      ],
      to: {
         _obj: "layer",
         fillOpacity: {
            _unit: "percentUnit",
            _value: 50
         }
      },
      _options: {
         dialogOptions: "dontDisplay"
      }
   },
   {
      _obj: "select",
      _target: [
         {
            _ref: "layer",
            _name: "Ambient Luminosity"
         }
      ],
      makeVisible: false,
      layerID: [
         7
      ],
      _options: {
         dialogOptions: "dontDisplay"
      }
   },
   {
      _obj: "set",
      _target: [
         {
            _ref: "layer",
            _enum: "ordinal",
            _value: "targetEnum"
         }
      ],
      to: {
         _obj: "layer",
         fillOpacity: {
            _unit: "percentUnit",
            _value: 75
         }
      },
      _options: {
         dialogOptions: "dontDisplay"
      }
   },
    {
      _obj: "select",
      _target: [
         {
            _ref: "layer",
            _name: "Flash"
         }
      ],
      makeVisible: false,
      layerID: [
         12
      ],
      _options: {
         dialogOptions: "dontDisplay"
      }
   },
   {
      _obj: "set",
      _target: [
         {
            _ref: "layer",
            _enum: "ordinal",
            _value: "targetEnum"
         }
      ],
      to: {
         _obj: "layer",
         name: "Flash Color"
      },
      _options: {
         dialogOptions: "dontDisplay"
      }
   },
   {
      _obj: "copyToLayer",
      _options: {
         dialogOptions: "dontDisplay"
      }
   },
   {
      _obj: "set",
      _target: [
         {
            _ref: "layer",
            _enum: "ordinal",
            _value: "targetEnum"
         }
      ],
      to: {
         _obj: "layer",
         name: "Flash"
      },
      _options: {
         dialogOptions: "dontDisplay"
      }
   },
   {
      _obj: "move",
      _target: [
         {
            _ref: "layer",
            _name: "Flash Color"
         }
      ],
      to: {
         _ref: "layer",
         _index: 5
      },
      adjustment: false,
      version: 5,
      layerID: [
         12
      ],
      _options: {
         dialogOptions: "dontDisplay"
      }
   },
   {
      _obj: "set",
      _target: [
         {
            _ref: "layer",
            _enum: "ordinal",
            _value: "targetEnum"
         }
      ],
      to: {
         _obj: "layer",
         mode: {
            _enum: "blendMode",
            _value: "color"
         }
      },
      _options: {
         dialogOptions: "dontDisplay"
      }
   },
   {
      _obj: "set",
      _target: [
         {
            _ref: "layer",
            _enum: "ordinal",
            _value: "targetEnum"
         }
      ],
      to: {
         _obj: "layer",
         opacity: {
            _unit: "percentUnit",
            _value: 50
         }
      },
      _options: {
         dialogOptions: "dontDisplay"
      }
   },
   {
      _obj: "move",
      _target: [
         {
            _ref: "layer",
            _name: "Ambient Color"
         }
      ],
      to: {
         _ref: "layer",
         _index: 5
      },
      adjustment: false,
      version: 5,
      layerID: [
         15
      ],
      _options: {
         dialogOptions: "dontDisplay"
      }
   },
   {
      _obj: "select",
      _target: [
         {
            _ref: "channel",
            _enum: "channel",
            _value: "mask"
         },
         {
            _ref: "layer",
            _name: "Highlight / Window Mask"
         }
      ],
      makeVisible: false,
      _options: {
         dialogOptions: "dontDisplay"
      }
   },

//This performs the user setup post batchPlay

   {
      _obj: "select",
      _target: [
         {
            _ref: "channel",
            _enum: "channel",
            _value: "mask"
         },
         {
            _ref: "layer",
            _name: "Highlight / Window Mask"
         }
      ],
      makeVisible: false,
      _options: {
         dialogOptions: "dontDisplay"
      }
   },
   {
      _obj: "select",
      _target: [
         {
            _ref: "paintbrushTool"
         }
      ],
      _options: {
         dialogOptions: "dontDisplay"
      }
   },
   {
      _obj: "reset",
      _target: [
         {
            _ref: "color",
            _property: "colors"
         }
      ],
      _options: {
         dialogOptions: "dontDisplay"
      }
   },
   {
      _obj: "exchange",
      _target: [
         {
            _ref: "color",
            _property: "colors"
         }
      ],
      _options: {
         dialogOptions: "dontDisplay"
      }
   }
